> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Passeport kényan

> Vérifiez l'identité d'un client à l'aide de son numéro de passeport kényan.

L'endpoint Passeport kényan valide un numéro de passeport par rapport au registre national et renvoie les détails personnels associés incluant le nom, les dates et une photo.

## Endpoint

```
POST /api/onboarding/kenya_kyc/passport/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |
| `Content-Type`   | `application/json`    | Oui    |

### Paramètres de corps

| Paramètre         | Type   | Requis | Description                                            |
| ----------------- | ------ | ------ | ------------------------------------------------------ |
| `passport_number` | string | Oui    | Le numéro de passeport du client (par ex. `A00000000`) |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya_kyc/passport/" \
    -H "x-access-token: YOUR_SECRET_KEY" \
    -H "Content-Type: application/json" \
    -d '{"passport_number": "A00000000"}'
  ```
</CodeGroup>

## Réponse

### 200 OK

| Champ                 | Type   | Description                          |
| --------------------- | ------ | ------------------------------------ |
| `data.First_Name`     | string | Prénom                               |
| `data.Surname`        | string | Nom de famille                       |
| `data.Other_Name`     | string | Autre/deuxième prénom                |
| `data.Gender`         | string | Genre                                |
| `data.Date_of_Birth`  | string | Date de naissance                    |
| `data.Citizenship`    | string | Citoyenneté                          |
| `data.Date_of_Issue`  | string | Date de délivrance du passeport      |
| `data.Place_of_Birth` | string | Lieu de naissance                    |
| `data.Photo`          | string | Photo du passeport encodée en base64 |

```json theme={null}
{
  "status": "success",
  "data": {
    "Pin": "",
    "Clan": "",
    "Photo": "<base64-encoded-jpeg>",
    "Family": "",
    "Gender": "M",
    "Surname": "Leo",
    "First_Name": "Joe",
    "Other_Name": "Doe",
    "Citizenship": "Kenyan",
    "Date_of_Birth": "2000-09-20 12:00:00 AM",
    "Date_of_Issue": "1/27/2000 12:00:00 AM",
    "Place_of_Birth": "NAIROBI",
    "Place_of_Live": "BOX 12345-00800 NAIROBI"
  },
  "message": "Passport details retrieved successfully"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```


## OpenAPI

````yaml POST /api/onboarding/kenya_kyc/passport/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/onboarding/kenya_kyc/passport/:
    post:
      tags:
        - Kenya KYC
      summary: Kenya Passport Verification
      operationId: kenyaPassport
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - passport_number
              properties:
                passport_number:
                  type: string
      responses:
        '200':
          description: Passport verified
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````